GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/arm-bsd-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "regcache.h"`
`#include "regset.h"`
`#include "arm-tdep.h"`

Go to the source code of this file.

## Macros
#define | ARMBSD_SIZEOF_GREGS (17 * 4)
#define | ARMBSD_SIZEOF_FPREGS ((1 + (8 * 3)) * 4)

## Functions
static int | armbsd_fpreg_offset (int regnum)
static void | armbsd_supply_fpregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *fpregs, size_t len)
static void | armbsd_supply_gregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
void | armbsd_iterate_over_regset_sections (struct gdbarch *gdbarch, iterate_over_regset_sections_cb *cb, void *cb_data, const struct regcache *regcache)

## Variables
static const struct regset | armbsd_gregset
static const struct regset | armbsd_fpregset

## Macro Definition Documentation

## ◆ ARMBSD_SIZEOF_FPREGS

#define ARMBSD_SIZEOF_FPREGS ((1 + (8 * 3)) * 4)

Definition at line 33 of file arm-bsd-tdep.c.

Referenced by armbsd_iterate_over_regset_sections(), armbsd_supply_fpregset(), and armbsd_supply_gregset().

## ◆ ARMBSD_SIZEOF_GREGS

#define ARMBSD_SIZEOF_GREGS (17 * 4)

Definition at line 30 of file arm-bsd-tdep.c.

Referenced by armbsd_iterate_over_regset_sections(), and armbsd_supply_gregset().

## Function Documentation

## ◆ armbsd_fpreg_offset()

static int armbsd_fpreg_offset | ( | int | regnum | ) |
| static

Definition at line 36 of file arm-bsd-tdep.c.

References ARM_F0_REGNUM, ARM_FPS_REGNUM, and regnum.

Referenced by armbsd_supply_fpregset().

## ◆ armbsd_iterate_over_regset_sections()

void armbsd_iterate_over_regset_sections | ( | struct gdbarch * | gdbarch,
|  | iterate_over_regset_sections_cb * | cb,
|  | void * | cb_data,
|  | const struct regcache * | regcache
| ) |  |

Definition at line 115 of file arm-bsd-tdep.c.

References armbsd_fpregset, armbsd_gregset, ARMBSD_SIZEOF_FPREGS, and ARMBSD_SIZEOF_GREGS.

Referenced by armobsd_init_abi().

## ◆ armbsd_supply_fpregset()

static void armbsd_supply_fpregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | fpregs,
|  | size_t | len
| ) |  |
| static

Definition at line 49 of file arm-bsd-tdep.c.

References ARM_F0_REGNUM, ARM_FPS_REGNUM, armbsd_fpreg_offset(), ARMBSD_SIZEOF_FPREGS, gdb_assert, regcache_raw_supply(), and regnum.

Referenced by armbsd_supply_gregset().

## ◆ armbsd_supply_gregset()

static void armbsd_supply_gregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | gregs,
|  | size_t | len
| ) |  |
| static

Definition at line 70 of file arm-bsd-tdep.c.

References ARM_A1_REGNUM, ARM_PC_REGNUM, ARM_PS_REGNUM, ARMBSD_SIZEOF_FPREGS, ARMBSD_SIZEOF_GREGS, armbsd_supply_fpregset(), gdb_assert, regcache_raw_supply(), and regnum.

## Variable Documentation

## ◆ armbsd_fpregset

const struct regset armbsd_fpregset
| static

Initial value:
=
{
NULL,
armbsd_supply_fpregset
}
armbsd_supply_fpregset
static void armbsd_supply_fpregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *fpregs, size_t len)
Definition: arm-bsd-tdep.c:49

Definition at line 106 of file arm-bsd-tdep.c.

Referenced by armbsd_iterate_over_regset_sections().

## ◆ armbsd_gregset

const struct regset armbsd_gregset
| static

Initial value:
=
{
NULL,
armbsd_supply_gregset,
NULL,
REGSET_VARIABLE_SIZE
}
REGSET_VARIABLE_SIZE
#define REGSET_VARIABLE_SIZE
Definition: regset.h:52
armbsd_supply_gregset
static void armbsd_supply_gregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
Definition: arm-bsd-tdep.c:70

Definition at line 98 of file arm-bsd-tdep.c.

Referenced by armbsd_iterate_over_regset_sections().